/*
*********************************************
*											*
*			Astro const 					*
*											*
*********************************************
*/
#ifndef		_ASTRO_H
#define		_ASTRO_H

/*
=========================================
			astro constant
=========================================
*/
/*
-----------------------------------------
			angle
-----------------------------------------
*/
#define		PI				3.14159265358979323846
#define		DEG_RAD(x)		((x) * PI / 180.0)

/*
-----------------------------------------
			time
-----------------------------------------
*/
#define		GREGOR_YEARDAY	365.2425
#define		JULIAN_YEARDAY	365.25

#define		DAYSEC				86400.0
#define		DAYMIN				1440.0
#define		DAYHOUR			24.0

#define		DTAI_TT			32.184
#define		DTAT_TT_DAY		0.0003725
#define		JD1977				2443144.5
#define		JD1972				2441317.5
#define		JD1977_TT			(JD1977 + DTAT_TT_DAY)

#define		CONST_LG			6.969290134e-10
#define		CONST_LB			1.5505197678e-8
#define		CONST_TDB0			-6.55e-5
#define		CONST_LC			1.4808268674e-8
/*
=========================================
			structer
=========================================
*/
/*
-----------------------------------------
		DATE
-----------------------------------------
*/
typedef struct tag_date{
	double	dYear;
	int nMonth;
	int nDay;
	double dDFrac;
} ADATE;

/*
-----------------------------------------
		TIME
-----------------------------------------
*/
typedef struct tag_time{
	int	nHour;
	int nMin;
	double dSec;
} ATIME;

/*
-----------------------------------------
		DATE & TIME
-----------------------------------------
*/
typedef struct tag_dt{
	ADATE date;
	ATIME time;
} DATETIME;

#endif
