/*
*********************************************
* 											*
* 			LONG JD Functions				*
* 											*
*********************************************
*/
#include "longjd.h"

/*
#############################################
#											#
#			longjd functions				#
#											#
#############################################
*/
/*
=============================================
=			singleJD to longJD			=
=============================================
*/
void jdtoljd(double dJD, LONGJD *plJD)
{
	plJD->dDate = floor(dJD) + 0.5;
	plJD->dTime = dJD - plJD->dDate;
}

/*
=============================================
=			longJD to singleJD			=
=============================================
*/
double ljdtojd(LONGJD *plJD)
{
	return (plJD->dDate + plJD->dTime);
}

/*
=============================================
=			longJD normalize				=
=============================================
*/
void ljd_normalize(LONGJD *pjd)
{
	double dInt;

	/* 1 day over */
	if (fabs(pjd->dTime) >= 1.0){
		dInt = floor(pjd->dTime);
		pjd->dDate += dInt;
		pjd->dTime -= dInt;
	}

	/* time minus */

	if (pjd->dTime < -1.0E-16){
		pjd->dDate -= 1.0;
		pjd->dTime += 1.0;
	}
}
